com.jscape.inet.http

## Class HttpParameter

- java.lang.Object
- - com.jscape.inet.http.HttpParameter

- All Implemented Interfaces:
    java.io.Serializable

      public class HttpParameter
      extends java.lang.Object
      implements java.io.Serializable

  Represents a name/value parameter passed to Http server using GET or POST request method.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpParameter(java.lang.String name, java.lang.String value)` Constructs a new `HttpParameter`.
    `HttpParameter(java.lang.String name, java.lang.String value, boolean encoded)` Constructs a new `HttpParameter`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Checks for equality of this and another `HttpParameter` object.
    `java.lang.String` | `getName()` Gets name of parameter.
    `java.lang.String` | `getValue()` Gets value of parameter.
    `boolean` | `isEncoded()` Checks if provided name and value are URL encoded Default value is false
    `void` | `setEncoded(boolean b)` Sets if provided name and value are URL encoded Default value is false
    `void` | `setName(java.lang.String name)` Sets name of parameter.
    `void` | `setValue(java.lang.String value)` Sets value of parameter.

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpParameter

          public HttpParameter(java.lang.String name,
                               java.lang.String value)

      Constructs a new `HttpParameter`.
      Parameters:
        `name` - the name of parameter
        `value` - the value of parameter

    - #### HttpParameter

          public HttpParameter(java.lang.String name,
                               java.lang.String value,
                               boolean encoded)

      Constructs a new `HttpParameter`.
      Parameters:
        `name` - the name of parameter
        `value` - the value of parameter
        `encoded` - true if the name and value are URL encoded, false otherwise

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

      Sets name of parameter.
      Parameters:
        `name` - the name of parameter

    - #### setValue

          public void setValue(java.lang.String value)

      Sets value of parameter.
      Parameters:
        `value` - the value of parameter

    - #### getName

          public java.lang.String getName()

      Gets name of parameter.
      Returns:
        name

    - #### getValue

          public java.lang.String getValue()

      Gets value of parameter.
      Returns:
        value

    - #### equals

          public boolean equals(java.lang.Object obj)

      Checks for equality of this and another `HttpParameter` object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - an `HttpParameter`
      Returns:
        `true` if equal

    - #### isEncoded

          public boolean isEncoded()

      Checks if provided name and value are URL encoded Default value is false
      Returns:
        true if encoded, false otherwiae

    - #### setEncoded

          public void setEncoded(boolean b)

      Sets if provided name and value are URL encoded Default value is false
      Parameters:
        `b` - true if encoded, false otherwise

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved